> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hymalaia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest App Version Tags

> Fetches the latest stable and beta versions of Hymalaia Docker images.
Since DockerHub does not explicitly flag stable and beta images,
this endpoint can be used to programmatically check for new images.



## OpenAPI

````yaml GET /api/versions
openapi: 3.1.0
info:
  title: Hymalaia Chat API
  description: API for interacting with Hymalaia's chat and messaging services
  version: 1.0.0
  contact:
    name: Hymalaia Support
    email: support@hymalaia.com
    url: https://hymalaia.com
servers:
  - url: https://staging.hymalaia.app/
    description: Staging Server
security: []
paths:
  /api/versions:
    get:
      tags:
        - public
      summary: Get Versions
      description: |-
        Fetches the latest stable and beta versions of Hymalaia Docker images.
        Since DockerHub does not explicitly flag stable and beta images,
        this endpoint can be used to programmatically check for new images.
      operationId: get_versions
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllVersions'
components:
  schemas:
    AllVersions:
      properties:
        stable:
          $ref: '#/components/schemas/ContainerVersions'
        dev:
          $ref: '#/components/schemas/ContainerVersions'
        migration:
          $ref: '#/components/schemas/ContainerVersions'
      type: object
      required:
        - stable
        - dev
        - migration
      title: AllVersions
    ContainerVersions:
      properties:
        onyx:
          type: string
          title: Hymalaia
        relational_db:
          type: string
          title: Relational Db
        index:
          type: string
          title: Index
        nginx:
          type: string
          title: Nginx
      type: object
      required:
        - hymalaia
        - relational_db
        - index
        - nginx
      title: ContainerVersions

````